View a markdown version of this page

UpdateSpacePermissions - Amazon Quick Sight

UpdateSpacePermissions

Updates the permissions for an Amazon QuickSight space.

Request Syntax

PUT /v1/accounts/AwsAccountId/spaces/SpaceId/permissions HTTP/1.1 Content-type: application/json { "GrantPermissions": [ { "Actions": [ "string" ], "Principal": "string" } ], "RevokePermissions": [ { "Actions": [ "string" ], "Principal": "string" } ] }

URI Request Parameters

The request uses the following URI parameters.

AwsAccountId

The ID of the AWS account that contains the space.

Length Constraints: Fixed length of 12.

Pattern: ^[0-9]{12}$

Required: Yes

SpaceId

The ID of the space that you want to update permissions for.

Length Constraints: Minimum length of 1. Maximum length of 256.

Pattern: [0-9a-zA-Z-_=.+]+

Required: Yes

Request Body

The request accepts the following data in JSON format.

GrantPermissions

The permissions that you want to grant on the space.

Type: Array of ResourcePermission objects

Array Members: Minimum number of 1 item. Maximum number of 64 items.

Required: No

RevokePermissions

The permissions that you want to revoke from the space.

Type: Array of ResourcePermission objects

Array Members: Minimum number of 1 item. Maximum number of 64 items.

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "permissions": [ { "Actions": [ "string" ], "Principal": "string" } ], "requestId": "string", "spaceArn": "string", "spaceId": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

spaceId

The ID of the space.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 256.

Pattern: [0-9a-zA-Z-_=.+]+

permissions

The updated permissions for the space.

Type: Array of ResourcePermission objects

Array Members: Minimum number of 1 item. Maximum number of 64 items.

requestId

The AWS request ID for this operation.

Type: String

spaceArn

The ARN of the space.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 512.

Pattern: arn:[a-z0-9-\.]{1,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[a-z0-9-\.]{0,63}:[^/].{0,1023}

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You don't have access to this item. The provided credentials couldn't be validated. You might not be authorized to carry out the request. Make sure that your account is authorized to use the Amazon Quick Sight service, that your policies have the correct permissions, and that you are using the correct credentials.

RequestId

The AWS request ID for this request.

HTTP Status Code: 401

ConflictException

Updating or deleting a resource can cause an inconsistent state.

RequestId

The AWS request ID for this request.

HTTP Status Code: 409

InternalFailureException

An internal failure occurred.

RequestId

The AWS request ID for this request.

HTTP Status Code: 500

InvalidParameterValueException

One or more parameters has a value that isn't valid.

RequestId

The AWS request ID for this request.

HTTP Status Code: 400

LimitExceededException

A limit is exceeded.

RequestId

The AWS request ID for this request.

ResourceType

Limit exceeded.

HTTP Status Code: 409

ResourceNotFoundException

One or more resources can't be found.

RequestId

The AWS request ID for this request.

ResourceType

The resource type for this request.

HTTP Status Code: 404

ThrottlingException

Access is throttled.

RequestId

The AWS request ID for this request.

HTTP Status Code: 429

UnsupportedUserEditionException

This error indicates that you are calling an operation on an Amazon Quick Suite subscription where the edition doesn't include support for that operation. Amazon Quick Suite currently has Standard Edition and Enterprise Edition. Not every operation and capability is available in every edition.

RequestId

The AWS request ID for this request.

HTTP Status Code: 403

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: